<div class="assignmentSkillWrap">


  <div class="bredcum">


    <div class="menuTab pull-left">
      <ul>
        <li>
          <p>Assignment  Type Details</p>
        </li>

      </ul>
    </div>
    <div class="btnAssing text-right">
      <button class="btn btn-cyean" (click)="openPopup()" >
        Add Assignment Type
      </button>
    </div>
  </div>

  <div class="titleBar">

    <br>

    <table style="width:100%" class="skillDetailsTable">
      <tr>
        <th>Assignment Type Name</th>
        <th>Assignment Type Description</th>
        <th>Edit</th>
        <th>Delete</th>
      </tr>
      <tr *ngFor="let assignmentTypeObj of assignmentTypeList">
        <td>{{assignmentTypeObj.assignmentTypeName}}</td>
        <td>{{assignmentTypeObj.assignmentTypeDesp}}</td>
        <td> <button class="btn btn-cyean " (click)="editIntermediatePopUp(assignmentTypeObj)">
          Edit Assignment Type
        </button></td>
        <td> <button class="btn btn-cyean " (click)="deleteIntermediatePopUp(assignmentTypeObj)">
          Delete Assignment Type
        </button></td>
      </tr>

    </table>
  </div>


</div>



<div class="popWrap assignmentPopup" id="createAssignmentType">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 *ngIf="!isEdit">Create Assignment Type</h4>
        <h4  *ngIf="isEdit">Edit Assignment Type</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <form #assignmentType="ngForm">
        <div class="row">
          <div class="col-sm-12">
            <div class="inputCont" [class.has-error]="assignmentTypeObj.touched && assignmentTypeObj.invalid">
              <label for="assignmentName">Assignment Assignment Type Name <span style="color:red">*</span></label>
              <div class="search">
                <input type="text"  [(ngModel)]="assignmentTypeObj.assignmentTypeName" name="assignmentName" id="assignmentName"
                       #assignmentName="ngModel"  required placeholder="Assignment Type Name"/>
              </div>
              <span class="alert-msg" *ngIf="assignmentName.touched && assignmentName.invalid">Please Enter Assignment Type Name.</span>
            </div>
          </div>
        </div>
        <div class="row">
          <label for="assignmentName" style="display:block;margin:20px 0" >Assignment Description <span style="color:red">*</span></label>
          <textarea [(ngModel)]="assignmentTypeObj.assignmentTypeDesp" required name=description id="description"
                    #description="ngModel" style="width:100%;height:150px;border:1px solid rgba(151, 151, 151, 0.2);resize:none;outline:none"></textarea>
          <span class="alert-msg" *ngIf="description.touched && description.invalid">Please Enter  Assignment Type  Description</span>
        </div>
        <div class="row">
          <div class="col-sm-6">
            <button class="btn btn-create" *ngIf="!isEdit"  (click)="saveAssignmentType()" [disabled]="!assignmentType.form.valid">Save</button>
            <button class="btn btn-create" *ngIf="isEdit" (click)="updateAssignmentType()" [disabled]="!assignmentType.form.valid">Update</button>
          </div>
          <div class="col-sm-6">
            <button class="btn  btn-Close"  (click)="hidePopup()" >Close</button>
          </div>
        </div>
      </form>
    </div>

  </div>
</div>


<div class="popWrap assignmentPopup" id="deleteAssignmentType">
  <div class="popCont">
    <div class="titleBar clearfix">
      <div class="pull-left">
        <h4 >Delete Assignment Type</h4>
      </div>
      <div class="pull-right">
        <div class="closeBtn" (click)="fnDeleteHidePop()"></div>
      </div>
    </div>

    <div class="textCont">
      <div class="row">
        <div class="col-sm-12">
          <p>Are you  sure you want to delete {{deletetypeObj.assignmentTypeObj}}</p>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-6">
          <button class="btn btn-create" (click)="deleteAssignmentType(deletetypeObj)" >Delete</button>
        </div>
        <div class="col-sm-6">
          <button class="btn  btn-Close"  (click)="closeDeletePopup()" >Close</button>
        </div>
      </div>

    </div>

  </div>
</div>
